use postgres::{Client, NoTls};
use std::{
    env::args,
    fs::{self, File},
    io::{BufRead, BufReader, Write},
};
use urlencoding;

fn generate_file(website_name: &str) {
    let mut client = Client::connect("host=192.168.0.10 port=28945 user=hentai password=h99nqaNPhpfbuuhCDwQXLpZAnoVTjSQP7taoqmQhpzc2rPLVC4JUAKxAHfuuhuU9", NoTls).unwrap();
    let output = client
        .query_one("SELECT website_exists($1);", &[&website_name])
        .unwrap();

    let result: bool = output.get(0);
    if result == false {
        panic!("Invalid website_name");
    }

    let filename = format!("{website_name}_generated.txt");
    let mut file = match File::create(filename) {
        Ok(file) => file,
        Err(error) => {
            let message = error.to_string();
            panic!("Problem opening the file: {message}");
        }
    };

    let output = client
        .query("SELECT * FROM get_urls_and_paths($1);", &[&website_name])
        .unwrap();

    for row in output {
        let url: String = row.get(0);
        let folder_path: String = row.get(1);

        writeln!(file, "{} # {}", url, folder_path).unwrap();
    }
}

fn convert_folders(root_folder: &str) {
    let mut client = Client::connect("host=192.168.0.10 port=28945 user=hentai password=h99nqaNPhpfbuuhCDwQXLpZAnoVTjSQP7taoqmQhpzc2rPLVC4JUAKxAHfuuhuU9", NoTls).unwrap();

    let filename: &str = "convert_folders.log";
    let mut log_file = match File::create(filename) {
        Ok(file) => file,
        Err(error) => {
            let message = error.to_string();
            panic!("Problem opening the file: {message}");
        }
    };

    let output = client
        .query("SELECT * FROM get_all_convertable_paths();", &[])
        .unwrap();

    for row in output {
        let old_path: String = row.get(0);
        let new_path: String = row.get(1);
        let old_path = format!("{}/{}", root_folder, old_path);
        let new_path = format!("{}/{}", root_folder, new_path);

        let old_path = urlencoding::decode(&old_path).unwrap().to_string();

        dbg!(&old_path);
        dbg!(&new_path);

        if !fs::exists(&old_path).unwrap() {
            continue;
        }

        fs::rename(&old_path, &new_path).unwrap();
        writeln!(log_file, "Converted {} => {}", old_path, new_path).unwrap();
    }
}

fn import_file(filename: &str) {
    let input_file = File::open(filename).unwrap();
    let reader_iter = BufReader::new(input_file).lines();
    let mut client = Client::connect("host=192.168.0.10 port=28945 user=hentai password=h99nqaNPhpfbuuhCDwQXLpZAnoVTjSQP7taoqmQhpzc2rPLVC4JUAKxAHfuuhuU9", NoTls).unwrap();

    let mut fucked_file = match File::create("Fucked.txt") {
        Ok(file) => file,
        Err(error) => {
            let message = error.to_string();
            panic!("Problem opening the file: {message}");
        }
    };
    writeln!(fucked_file, "Them are hella fucked").unwrap();

    for line in reader_iter {
        let line = line.unwrap();
        if line.contains("#") {
            writeln!(fucked_file, "{}", line).unwrap();
            continue;
        }

        let output = client.query_one("SELECT insert_url($1)", &[&line]).unwrap();

        let result: i32 = output.get(0);
        if result == 1 {
            writeln!(fucked_file, "{}", line).unwrap();
        }
    }
}

fn add_url(url: &str) {
    let mut client = Client::connect("host=192.168.0.10 port=28945 user=hentai password=h99nqaNPhpfbuuhCDwQXLpZAnoVTjSQP7taoqmQhpzc2rPLVC4JUAKxAHfuuhuU9", NoTls).unwrap();
    let output = client.query_one("SELECT insert_url($1);", &[&url]).unwrap();

    let result: i32 = output.get(0);
    if result == 1 {
        panic!("HELP!!!");
    }
}

fn add_artist_with_custom_name(url: &str, artist_name: &str) {
    let mut client = Client::connect("host=192.168.0.10 port=28945 user=hentai password=h99nqaNPhpfbuuhCDwQXLpZAnoVTjSQP7taoqmQhpzc2rPLVC4JUAKxAHfuuhuU9", NoTls).unwrap();
    let output = client
        .query_one(
            "SELECT insert_url_with_custom_artist($1, $2);",
            &[&url, &artist_name],
        )
        .unwrap();

    let result: i32 = output.get(0);
    if result == 1 {
        panic!("HELP!!!");
    }
}

fn main() {
    let args: Vec<String> = args().collect();
    dbg!(&args);

    let option: &str = args[1].as_str();
    let value: &str = args[2].as_str();

    match option {
        "generate" => generate_file(value),
        "convert" => convert_folders(value),
        "import" => import_file(value),
        "add_url" => add_url(value),
        "add_custom_name" => add_artist_with_custom_name(value, args[3].as_str()),
        _ => panic!("Invalid argument"),
    }
}
